------------------------------------------------------------------------
-- Licensed Materials - Property of IBM
--
-- Copyright IBM Corporation 2017. All Rights Reserved.
--
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp. 
------------------------------------------------------------------------
-- Script Name:       group_permissions.sql
--------------------------------------------------------------------

--------------------------------------------------------------------
-- Permissions for 'FTMUser' group
--------------------------------------------------------------------

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'channel',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'involved_party',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'batch',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'calendar_group',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'calendar_entry',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'classification',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'event',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'format',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'mapper',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'schedule_entry',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'scheduler_task',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'transaction',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'value',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'transmission',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'fragment',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'all_alerts',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'obj_value',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'service',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'service_participant',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'txn_recon',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'GUI',
   'security',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMUser',
  'GUI',
  'isf',
  'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMUser',
  'GUI',
  'cbe_xml',
  'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMUser',
  'GUI',
  'raw_data',
  'view'
);


CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMUser',
  'GUI',
  'txn_payment',
  'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMUser',
  'GUI',
  'txn_securities',
  'view'
);


CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMUser',
  'GUI',
  'fsm',
  'view'
);


CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMUser',
  'GUI',
  'resolution',
  'view'
);


--------------------------------------------------------------------
-- Permissions for 'FTMEdit' group
--------------------------------------------------------------------

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'channel',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'involved_party',
   'edit'
);


CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'calendar_group',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'calendar_entry',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'classification',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'format',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'mapper',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'schedule_entry',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'scheduler_task',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'value',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'resolution_action',
   'view'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'service',
   'edit'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMEdit',
   'GUI',
   'service_participant',
   'edit'
);

--------------------------------------------------------------------
-- Permissions for 'FTMCfg' group
--------------------------------------------------------------------


CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'channel',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'involved_party',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'calendar_group',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'calendar_entry',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'classification',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'format',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'mapper',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'schedule_entry',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'scheduler_task',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'value',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'service',
   'create'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMCfg',
   'GUI',
   'service_participant',
   'create'
);


--------------------------------------------------------------------
-- Permissions for 'FTMAdmin' group
--------------------------------------------------------------------

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'channel',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'involved_party',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'calendar_group',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'calendar_entry',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'classification',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'format',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'mapper',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'schedule_entry',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'scheduler_task',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'value',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'resolution_action',
   'execute'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'service',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'service_participant',
   'delete'
);

CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
  'FTMAdmin',
   'GUI',
   'dev-ibm',
   'dev-ibm'
);



COMMIT;

