@echo off
REM ---------------------------------------------------------------------
REM Licensed Materials - Property of IBM
REM
REM Copyright IBM Corporation 2017. All Rights Reserved.
REM
REM US Government Users Restricted Rights- Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp. 
REM ---------------------------------------------------------------------
REM ftmIPSimulatorQueues.cmd
REM Defines local queues for FTM for Immediate Payments Simulator (Windows Version)
REM ---------------------------------------------------------------------

IF "%~1"=="" goto usage

REM Queue prefix for simulator queues
SET QPFX=FXR.IP

REM Queues for CSM SCTInst simulator
echo define qlocal(%%QPFX%%.REQUEST.TO.CSM.EXTERNAL) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1
echo define qlocal(%%QPFX%%.SIM.CSM.TIMEOUT) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1
echo define qlocal(%%QPFX%%.SIM.CSM.EXPIRYREPORT) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1
echo define qlocal(%%QPFX%%.SIM.CSM.TRIGGER.RPTRSP) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1
echo define qlocal(%%QPFX%%.SIM.SANCTION.TRIGGER.ACK) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1
echo define qlocal(%%QPFX%%.SIM.SANCTION.STORE.ACK) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1
echo define qlocal(%%QPFX%%.SIM.FRAUD.TRIGGER.ACK) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1
echo define qlocal(%%QPFX%%.SIM.FRAUD.STORE.ACK) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1
echo define qlocal(%%QPFX%%.SIM.FAILED) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace | runmqsc %1

goto exit

:usage
echo Syntax: ftmIPSimulatorQueues.cmd [Queue Manager Name]

:exit
: * End!
